<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JPSOAP_RateDiscounts StructType
 * @subpackage Structs
 */
class JPSOAP_RateDiscounts extends AbstractStructBase
{
    /**
     * The AdultAdditionals
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Discount
     */
    public $AdultAdditionals;
    /**
     * The ChildrenA
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Discount1
     */
    public $ChildrenA;
    /**
     * The ChildrenB
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJPSOAP_Discount2
     */
    public $ChildrenB;
    /**
     * Constructor method for JPSOAP_RateDiscounts
     * @uses JPSOAP_RateDiscounts::setAdultAdditionals()
     * @uses JPSOAP_RateDiscounts::setChildrenA()
     * @uses JPSOAP_RateDiscounts::setChildrenB()
     * @param \ArrayType\ArrayOfJPSOAP_Discount $adultAdditionals
     * @param \ArrayType\ArrayOfJPSOAP_Discount1 $childrenA
     * @param \ArrayType\ArrayOfJPSOAP_Discount2 $childrenB
     */
    public function __construct(\ArrayType\ArrayOfJPSOAP_Discount $adultAdditionals = null, \ArrayType\ArrayOfJPSOAP_Discount1 $childrenA = null, \ArrayType\ArrayOfJPSOAP_Discount2 $childrenB = null)
    {
        $this
            ->setAdultAdditionals($adultAdditionals)
            ->setChildrenA($childrenA)
            ->setChildrenB($childrenB);
    }
    /**
     * Get AdultAdditionals value
     * @return \ArrayType\ArrayOfJPSOAP_Discount|null
     */
    public function getAdultAdditionals()
    {
        return $this->AdultAdditionals;
    }
    /**
     * Set AdultAdditionals value
     * @param \ArrayType\ArrayOfJPSOAP_Discount $adultAdditionals
     * @return \StructType\JPSOAP_RateDiscounts
     */
    public function setAdultAdditionals(\ArrayType\ArrayOfJPSOAP_Discount $adultAdditionals = null)
    {
        $this->AdultAdditionals = $adultAdditionals;
        return $this;
    }
    /**
     * Get ChildrenA value
     * @return \ArrayType\ArrayOfJPSOAP_Discount1|null
     */
    public function getChildrenA()
    {
        return $this->ChildrenA;
    }
    /**
     * Set ChildrenA value
     * @param \ArrayType\ArrayOfJPSOAP_Discount1 $childrenA
     * @return \StructType\JPSOAP_RateDiscounts
     */
    public function setChildrenA(\ArrayType\ArrayOfJPSOAP_Discount1 $childrenA = null)
    {
        $this->ChildrenA = $childrenA;
        return $this;
    }
    /**
     * Get ChildrenB value
     * @return \ArrayType\ArrayOfJPSOAP_Discount2|null
     */
    public function getChildrenB()
    {
        return $this->ChildrenB;
    }
    /**
     * Set ChildrenB value
     * @param \ArrayType\ArrayOfJPSOAP_Discount2 $childrenB
     * @return \StructType\JPSOAP_RateDiscounts
     */
    public function setChildrenB(\ArrayType\ArrayOfJPSOAP_Discount2 $childrenB = null)
    {
        $this->ChildrenB = $childrenB;
        return $this;
    }
}
